Package org.silverpeas.components.kmelia

## Class KmeliaComponentAuthorization

- java.lang.Object
- - org.silverpeas.components.kmelia.KmeliaComponentAuthorization

- All Implemented Interfaces:
    `org.silverpeas.core.security.authorization.ComponentAuthorization`

      @Bean
      @Named
      public class KmeliaComponentAuthorization
      extends Object
      implements org.silverpeas.core.security.authorization.ComponentAuthorization

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.security.authorization.ComponentAuthorization

      `org.silverpeas.core.security.authorization.ComponentAuthorization.ComponentResourceReference`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> Stream<T>` | `filter​(Collection<T> resources, Function<T,​org.silverpeas.core.security.authorization.ComponentAuthorization.ComponentResourceReference> converter, String userId, org.silverpeas.core.security.authorization.AccessControlOperation... operations)` |
    `boolean` | `isRelatedTo​(String instanceId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isRelatedTo

          public boolean isRelatedTo​(String instanceId)

      Specified by:
        `isRelatedTo` in interface `org.silverpeas.core.security.authorization.ComponentAuthorization`

    - #### filter

          public <T> Stream<T> filter​(Collection<T> resources,
                                      Function<T,​org.silverpeas.core.security.authorization.ComponentAuthorization.ComponentResourceReference> converter,
                                      String userId,
                                      org.silverpeas.core.security.authorization.AccessControlOperation... operations)

      Specified by:
        `filter` in interface `org.silverpeas.core.security.authorization.ComponentAuthorization`